import Request from '@/utils/require'
import { business } from '@/api'


/* -------粮食财务管理-财务数据提报接口开始-------*/
//查看详情-财务数据提报-----迁移后
// /financialDataPresentation/企业财务数据详情
export function budgetSubmissionModify(VO) {
    return Request({
        url: `${business}/financial/financialDataPresentation/?id=${VO.id}&enterpriseCategory=${VO.enterpriseCategory}`,
        method: 'get',
        // data: VO
    })
}
//查看详情-财务数据提报-----迁移后
// /financialDataPresentation/企业财务数据详情
export function budgetSubmissionModifyPop(VO) {
    return Request({
        url: `${business}/financial/financialDataPresentation/drill?reportMonth=${VO.reportMonth}&reportYear=${VO.reportYear}`,
        method: 'get',
        // data: VO
    })
}
//查询-财务数据提报-----迁移后
// // /financialDataPresentation/dataPage/{page}/{size}企业财务上报数据分页 Busi项目
export function budgetSubmissionByPage(VO, data) {
    return Request({
        url: `${business}/financial/financialDataPresentation/financialDataPage?page=${data.page}&size=${data.size}&establishmentUnit=${VO.establishmentUnit}&reportMonth=${VO.reportMonth}&reportYear=${VO.reportYear}`,
        method: 'post',
        data: VO
    })
}

// /financialDataPresentation/dataPage/{page}/{size}企业财务上报数据分页 Busi项目
// export function budgetSubmissionByPage(VO, data) {
//     return Request({
//         url: `${business}/financialDataPresentation/dataPage/${data.page}/${data.size}?establishmentUnit=${VO.establishmentUnit}&reportMonth=${VO.reportMonth}&reportYear=${VO.reportYear}`,
//         method: 'post',
//         data: VO
//     })
// }

//查询-财务数据提报（汇总表）-----
export function budgetSubmissionByPageOfAudit(VO, data) {
    return Request({
        url: `${business}/financial/financialDataPresentation/sumDataPage/${data.page}/${data.size}`+`?reportMonth=${VO.reportMonth}&reportYear=${VO.reportYear}`,
        method: 'post',
        data: VO
    })
}
/* -------粮食财务管理-财务数据提报接口结束-------*/