

// toolbar工具栏的工具选项（默认展示全部）
const toolOptions = [
    // ["bold", "italic", "underline", "strike"], // toggled buttons
    // ["blockquote", "code-block"],
    // [{ header: 1 }, { header: 2 }],
    // [{ list: "ordered" }, { list: "bullet" }],
    // [{ script: "sub" }, { script: "super" }],
    // [{ indent: "-1" }, { indent: "+1" }],
    // [{ direction: "rtl" }],
    // [{ size: ["small", false, "large", "huge"] }],
    // ['image'],
	["bold", "italic", "underline", "strike"], //加粗，斜体，下划线，删除线
	["blockquote", "code-block"], //引用，代码块
	[{ header: 1 }, { header: 2 }], // 标题，键值对的形式；1、2表示字体大小
	[{ list: "ordered" }, { list: "bullet" }], //列表
	[{ script: "sub" }, { script: "super" }], // 上下标
	[{ indent: "-1" }, { indent: "+1" }], // 缩进
	[{ direction: "rtl" }], // 文本方向
	[{ size: [] }], // 字体大小
	[{ header: [1, 2, 3, 4, 5, 6, false] }], //几级标题
	[{ color: [] }, { background: [] }], // 字体颜色，字体背景颜色
	[{ font: [] }], //字体
	[{ align: [] }], //对齐方式
	["clean"], //清除字体样式
	["image", "video"], //上传图片、上传视频
	 // [{ lineheight: ['initial', '1', '1.5', '1.75', '2', '3', '4', '5'] }]
]; 


export default {
    placeholder: '',
    theme: 'snow',  // 主题
    modules: {
        toolbar: {
            container: toolOptions,  // 工具栏选项
            placeholder: "请输入内容"
        },
        
    }
};